Archive child account
curl --request POST \
--url https://api.apostra.com/api/v2/accounts/{customerId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/accounts/{customerId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/accounts/{customerId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 4503599627370495,
"parentId": 4503599627370495,
"status": "ACTIVE",
"active": true,
"archivedAt": "2023-11-07T05:31:56Z",
"archivedByUserId": 4503599627370495,
"restoredAt": "2023-11-07T05:31:56Z",
"restoredByUserId": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Archive child account
Make a child account inactive without deleting its campaigns, media buys, reporting, membership, terms, or lifecycle history. Refuses while any live campaign or executable or unsettled media buy remains. Requires administrator authority on the parent organization.
POST
/
accounts
/
{customerId}
/
archive
Archive child account
curl --request POST \
--url https://api.apostra.com/api/v2/accounts/{customerId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/accounts/{customerId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/accounts/{customerId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 4503599627370495,
"parentId": 4503599627370495,
"status": "ACTIVE",
"active": true,
"archivedAt": "2023-11-07T05:31:56Z",
"archivedByUserId": 4503599627370495,
"restoredAt": "2023-11-07T05:31:56Z",
"restoredByUserId": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Response
Archive child account
Current reversible lifecycle state for a child account.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$